Bug 1298998 - [DOCS] Need to explain how to modify or alter images with S2I process [NEEDINFO]
[DOCS] Need to explain how to modify or alter images with S2I process
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
urgent Severity medium
: ---
: ---
Assigned To: Thien-Thi Nguyen
Vikram Goyal
Vikram Goyal
: NeedsTestCase
Depends On:
Blocks: 1299000
  Show dependency treegraph
 
Reported: 2016-01-15 11:11 EST by Eric Rich
Modified: 2016-08-04 21:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-17 15:26:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erich: needinfo? (vigoyal)


Attachments (Terms of Use)

  None (edit)
Description Eric Rich 2016-01-15 11:11:21 EST
Document URL: https://docs.openshift.com/enterprise/3.1/creating_images/index.html

Section Number and Name: NOT Defined

Describe the issue: Nowhere in the documentation does it explain how to add a RH provided RPM to an OSE image.

Suggestions for improvement: Define a new section that outlines modifying images.
Comment 2 Thien-Thi Nguyen 2016-01-28 21:32:55 EST
AFAICT the recommended way to install RPMs is "yum install".  What am i missing?

Re project name being required for "docker tag" -- Eric could you please show a command (w/ output) where omitting the the project name results in failure?  Likewise, a command (again, w/ output) that demonstrates success when the project name is included?

Adding Eric as needinfo, for these questions.  Any other "project name for docker tag"-related information would be welcome, too.
Comment 3 Eric Rich 2016-01-29 06:57:04 EST
(In reply to Thien-Thi Nguyen from comment #2)
> AFAICT the recommended way to install RPMs is "yum install".  What am i
> missing?
> 

But how is this done with the s2i process or using your code, etc. 

> Re project name being required for "docker tag" -- Eric could you please
> show a command (w/ output) where omitting the the project name results in
> failure?  

I do not explicitly have one more does the associated case. This is is simply a suggestion/comment from a customer. It lines up with what happens with the registry so it seems plausabe that this is the case. 

> Likewise, a command (again, w/ output) that demonstrates success
> when the project name is included?
> 
> Adding Eric as needinfo, for these questions.  Any other "project name for
> docker tag"-related information would be welcome, too.

For this I would check with engineering and we to make sure we have process and test to cover the use case we are documenting.
Comment 4 Thien-Thi Nguyen 2016-03-17 14:52:58 EDT
The necessity of including project name (as the "namespace" component of a pull spec) was documented as part of:

 https://bugzilla.redhat.com/show_bug.cgi?id=1299000

The other part of the BZ (interaction between s2i and "yum install") still remains.
Comment 5 Thien-Thi Nguyen 2016-03-17 15:26:19 EDT
Using "yum install" (for example) in a Dockerfile is documented:
- https://docs.openshift.com/enterprise/3.1/dev_guide/builds.html#docker-strategy-options
- https://docs.openshift.com/enterprise/3.1/dev_guide/builds.html#dockerfile-source

Moving this bug to CLOSED CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.